> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Delivery Note

> Update a delivery note.



## OpenAPI

````yaml /api/openapi-cutmake.json patch /api/v1/delivery-notes/{note_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/delivery-notes/{note_id}:
    patch:
      tags:
        - Delivery Notes
      summary: Update Delivery Note
      description: Update a delivery note.
      operationId: update_delivery_note_api_v1_delivery_notes__note_id__patch
      parameters:
        - name: note_id
          in: path
          required: true
          schema:
            type: string
            title: Note Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeliveryNoteUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryNoteResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DeliveryNoteUpdate:
      properties:
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        dropNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dropnumber
        shippingDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Shippingdate
        actualShipDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualshipdate
        carrier:
          anyOf:
            - type: string
            - type: 'null'
          title: Carrier
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Trackingnumber
        destinationAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationaddress
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        shipmentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentid
        deliveryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliveryid
        paymentTerms:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentterms
        paymentDueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentduedate
      type: object
      title: DeliveryNoteUpdate
    DeliveryNoteResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        dropNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dropnumber
        shippingDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Shippingdate
        actualShipDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualshipdate
        carrier:
          anyOf:
            - type: string
            - type: 'null'
          title: Carrier
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Trackingnumber
        destinationAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationaddress
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        shipmentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentid
        deliveryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliveryid
        paymentTerms:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentterms
        paymentDueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentduedate
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeliveryNoteLineItem'
              type: array
            - type: 'null'
          title: Lineitems
          default: []
      type: object
      required:
        - id
      title: DeliveryNoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeliveryNoteLineItem:
      properties:
        id:
          type: string
          title: Id
        deliveryNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverynoteid
        salesOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderlineitemid
        styleCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylecode
        styleName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylename
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - id
      title: DeliveryNoteLineItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````